<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Web</name>
    </assembly>
    <members>
        <member name="M:Web.Areas.WebApp.Controllers.AccountController.ExternalLogin(System.String,System.String)">
            <summary>
            we call the provider of social network
            </summary>
        </member>
        <member name="P:Web.Areas.WebApp.Controllers.LinkController.UserId">
            <summary>
            current user id
            </summary>
        </member>
        <member name="M:Web.Areas.WebApp.Controllers.LinkController.LinkProject(System.Int32)">
            <summary>
            project links
            </summary>
        </member>
        <member name="P:Web.Areas.WebApp.Controllers.ProjectController.UserId">
            <summary>
            current user id
            </summary>
        </member>
        <member name="M:Web.Areas.Api.Controllers.AccountControllerApi.Registration(Web.Areas.Api.ViewModels.UserViewModel)">
            <summary>
            Register new user
            </summary>
            <param name="model"></param>
            <returns>Json web token</returns>
            <response code="200">You are registered</response>
            <response code="400">Incorrect data</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.AccountControllerApi.Login(Web.Areas.Api.ViewModels.UserViewModel)">
            <summary>
            Login
            </summary>
            <param name="model"></param>
            <returns>Json web token</returns>
            <response code="200">You entered</response>
            <response code="400">Incorrect data</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.AccountControllerApi.Logout">
            <summary>
            Logout
            </summary>
            <returns></returns>
        </member>
        <member name="M:Web.Areas.Api.Controllers.AccountControllerApi.GenerateJSONWebTokenAsync(System.String)">
            <summary>
            token creation
            </summary>
        </member>
        <member name="M:Web.Areas.Api.Controllers.BlackListControllerApi.BadLink(System.Int32)">
            <summary>
            Get a bad link by id
            </summary>
            <returns>requested link</returns>
            <response code="200">Returns the requested link</response>
            <response code="404">Link not found</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.BlackListControllerApi.BadLinks">
            <summary>
            Get all bad links
            </summary>
            <returns>all bad links</returns>
        </member>
        <member name="M:Web.Areas.Api.Controllers.BlackListControllerApi.CreateAsync(Web.Models.BadLink)">
            <summary>
            Create a new bad link
            </summary>
            <param name="link"></param>
            <returns></returns>
            <response code="201">Link created</response>
            <response code="400">Invalid link</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.BlackListControllerApi.Update(Web.Models.BadLink)">
            <summary>
            Update bad link
            </summary>
            <param name="link"></param>
            <returns>Status code</returns>
            <response code="200">Changes saved</response>
            <response code="400">This link already exists</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.BlackListControllerApi.Delete(System.Int32)">
            <summary>
            Remove bad link
            </summary>
            <param name="id"></param>
            <response code="200">Link successfully deleted</response>
            <response code="404">Bad link not found</response>
        </member>
        <member name="T:Web.Areas.Api.Controllers.LinkControllerApi">
            <summary>
            Working with Links
            </summary>
            <response code="401">Not authorized</response>
        </member>
        <member name="P:Web.Areas.Api.Controllers.LinkControllerApi.UserId">
            <summary>
            current user id
            </summary>
        </member>
        <member name="M:Web.Areas.Api.Controllers.LinkControllerApi.ProjectLinks(System.Int32)">
            <summary>
            Get all the links for the project
            </summary>
            <param name="projectId"></param>
            <returns>Link list</returns>
            <response code="200">Links sent</response>
            <response code="403">You do not have access to this project</response>
            <response code="404">Project not found</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.LinkControllerApi.UserLinks">
            <summary>
            Get all your links 
            </summary>
            <returns>Link of your list</returns>
            <response code="200">Links sent</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.LinkControllerApi.Link(System.Int32)">
            <summary>
            Get link by id
            </summary>
            <param name="id"></param>
            <returns></returns>
            <response code="200">Return link</response>
            <response code="403">You do not have access to this link</response>
            <response code="404">Your link was not found</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.LinkControllerApi.Search(System.String,System.String,System.String,System.String)">
            <summary>
            Searching and sorting your links
            </summary>
            <param name="name">search by name (contains,case insensitive)</param>
            <param name="dateBegin">format yyyy-mm-dd</param>
            <param name="dateEnd">format yyyy-mm-dd</param>
            <param name="sortType">Type of sort(Name/CountClick/DateCreate)</param>
            <returns></returns>
            <response code="200">Found successfully</response>
            <response code="400">Incorrect data</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.LinkControllerApi.CreateAsync(Web.Models.Link)">
             <summary>Create link</summary>
             <param name="link"></param>
             <remarks>
             Sample request:
             {
              "name": "string",
              "description": "string",
              "isActive": true,
              "projectId": 4,
              "url": "https://localhost:44320/swagger/index.html"
            }
             </remarks>
             <returns>Execution status</returns>
             <response code="201">New link created</response>
             <response code="400">Incorrect data</response>
             <response code="403">You do not have access to the link project</response>
             <response code="404">Your project was not found</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.LinkControllerApi.Update(Web.Models.Link)">
            <summary>Update link</summary>
            <param name="link"></param>
            <returns>Execution status</returns>
            <response code="200">Changes were successful</response>
            <response code="400">Incorrect data</response>
            <response code="403">You do not have access to this link or link project</response>
            <response code="404">Your link or project was not found</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.LinkControllerApi.Delete(System.Int32)">
            <summary>Delete link</summary>
            <param name="link"></param>
            <returns>Execution status</returns>
            <response code="200">Removal was successful</response>
            <response code="403">You do not have access to this link</response>
            <response code="404">Your link was not found</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.LinkControllerApi.ShortLink(System.Int32)">
            <summary>Get short address for link by id</summary>
            <param name="id">short link id</param>
            <remarks>
            
            </remarks>
            <returns>short address for link</returns>
            <response code="200">Successful</response>
            <response code="403">You do not have access to this link</response>
            <response code="404">Your link was not found</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.LinkControllerApi.IsAdmin">
            <summary>
            Get base url for Web site
            </summary>
            <returns>Base url for Web site</returns>
        </member>
        <member name="T:Web.Areas.Api.Controllers.ProjectControllerApi">
            <summary>
            Working with projects
            </summary>
            <response code="401">Not authorized</response>
        </member>
        <member name="P:Web.Areas.Api.Controllers.ProjectControllerApi.UserId">
            <summary>
            current user id
            </summary>
        </member>
        <member name="M:Web.Areas.Api.Controllers.ProjectControllerApi.Projects">
            <summary>
            Get all your projects
            </summary>
        </member>
        <member name="M:Web.Areas.Api.Controllers.ProjectControllerApi.Project(System.Int32)">
            <summary>
            Get a project by id
            </summary>
            <param name="id"></param>
            <returns>Project</returns>
            <response code="200">Completed successfully</response>
            <response code="403">You do not have access to this project</response>
            <response code="404">Project not found</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.ProjectControllerApi.Create(Web.Models.Project)">
            <summary>Create a new project</summary>
            <param name="project"></param>
            <returns>Id project</returns>
            <remarks>
            Sample request:
                POST /Todo
                {
                    "name": "dom",
                    "description": ""
                }
            </remarks>
            <response code="201">New project created</response>
            <response code="400">Required field is not filled</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.ProjectControllerApi.Update(Web.Models.Project)">
            <summary>Update project</summary>
            <param name="project"></param>
            <returns>Execution status</returns>
            <response code="200">Changes were successful</response>
            <response code="400">Required field is not filled</response>
            <response code="403">You do not have access to this project</response>
            <response code="404">Your project was not found</response>
        </member>
        <member name="M:Web.Areas.Api.Controllers.ProjectControllerApi.Delete(System.Int32)">
            <summary>
            Delete project
            </summary>
            <param name="id"></param>
            <returns>Execution status</returns>
            <response code="200">Removal was successful</response>
            <response code="403">You do not have access to this project</response>
            <response code="404">Your project was not found</response>
        </member>
        <member name="M:Web.Interfaces.IBadLinkService.CheckLink(System.String)">
            <summary>
            True if the link is not found
            </summary>
        </member>
        <member name="M:Web.Services.LinkService.CheckUser(System.String,System.Int32)">
             <summary>
            does the link belong to the user
             </summary>
        </member>
        <member name="M:Web.Services.ProjectService.CheckUser(System.String,System.Int32)">
            <summary>
            does the link belong to the user
            </summary>
        </member>
        <member name="T:Authorization.FacebookDemo.Data.Databaseinitializer">
            <summary>
            DB initialization
            </summary>
        </member>
        <member name="P:AuthorizationPolicyTagHelper.Policy">
            <summary>
            Gets or sets the policy name that determines access to the HTML block.
            </summary>
        </member>
        <member name="P:AuthorizationPolicyTagHelper.Roles">
            <summary>
            Gets or sets a comma delimited list of roles that are allowed to access the HTML  block.
            </summary>
        </member>
        <member name="P:AuthorizationPolicyTagHelper.AuthenticationSchemes">
            <summary>
            Gets or sets a comma delimited list of schemes from which user information is constructed.
            </summary>
        </member>
    </members>
</doc>
